# Run channels threads release (by id)

`POST /channels/{type}/{ref}/threads/{thread}/release` · Rivier · agents

- Scope: agents:write
- Graphql: Mutation.agentsChannelsThreadsRelease
- Sdk: agents.channelsThreads.release
- Cli: agents channels threads release

## Parameters

- `type` (path, required), string
- `ref` (path, required), string
- `thread` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/channels/{type}/{ref}/threads/{thread}/release' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
